# Class CodonChangeInterval

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeInterval

public class CodonChangeInterval extends CodonChange
Calculate codon changes produced by a Interval Note: An interval does not produce any effect.

Author:
  pcingola

## Field Summary

### Fields inherited from class CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeInterval(Variant variant, Transcript transcript, VariantEffects varEffects)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`codonChange(Exon exon)`
Interval is not a variant, nothing to do

### Methods inherited from class CodonChange

`additionalEffect, cdsBaseNumber, codonChange, codonsAlt, codonsRef, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, netCdsChange, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodonChangeInterval

public CodonChangeInterval(Variant variant, Transcript transcript, VariantEffects varEffects)

## Method Details

### codonChange

protected boolean codonChange(Exon exon)
Interval is not a variant, nothing to do

Overrides:
  `codonChange` in class `CodonChange`